I've been trying for hours to try and get the DropTheme themed Swype running on my phone. The .apk on the google code repository is an old version that says that you need to update to a newer version of Swype when you try to use it. I tried to take the keyboard from that and put it into the new version of Swype. However, no matter how many different ways I try and do this, I can't get my version of Swype to install. I'm fairly certain that the problem is with how I'm signing it, despite following the instructions on the Android developer website. I'm almost ready to give up here.